package com.srs.routine.mapper;

import java.util.List;

import com.srs.routine.domain.RtFuAudit;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.routine.domain.vo.RtFuAuditVo;

/**
 * 功能房预约审核Mapper接口
 *
 * @author srs
 * @date 2024-07-24
 */
public interface RtFuAuditMapper extends BaseMapper<RtFuAudit> {
    /**
     * 查询功能房预约审核
     *
     * @param id 功能房预约审核主键
     * @return 功能房预约审核
     */
    public RtFuAudit selectRtFuAuditById(Long id);

    public RtFuAuditVo selectRtFuAuditByre(String reNo);

    /**
     * 查询功能房预约审核列表
     *
     * @param rtFuAudit 功能房预约审核
     * @return 功能房预约审核集合
     */
    List<RtFuAudit> selectRtFuAuditList(RtFuAudit rtFuAudit);

    /**
     * 新增功能房预约审核
     *
     * @param rtFuAudit 功能房预约审核
     * @return 结果
     */
    int insertRtFuAudit(RtFuAudit rtFuAudit);

    /**
     * 修改功能房预约审核
     *
     * @param rtFuAudit 功能房预约审核
     * @return 结果
     */
    int updateRtFuAudit(RtFuAudit rtFuAudit);

    /**
     * 删除功能房预约审核
     *
     * @param id 功能房预约审核主键
     * @return 结果
     */
    int deleteRtFuAuditByaure(String reNo);

    /**
     * 批量删除功能房预约审核
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtFuAuditByIds(Long[] ids);
}
